<?php
 
namespace IPQualityScore\IPQualityScore\Controller\Adminhtml\Index;
 
use Magento\Backend\App\Action\Context;
use Magento\Framework\View\Result\PageFactory;
 
class Token extends \Magento\Backend\App\Action
{
    protected $resultPageFactory;
    protected $configWriter;
 
    public function __construct(
        Context $context,
        PageFactory $resultPageFactory,
        \Magento\Framework\App\Config\Storage\WriterInterface $configWriter
    )
    {
        parent::__construct($context);
        $this->resultPageFactory = $resultPageFactory;
        $this->configWriter = $configWriter;
    }
 
    public function execute()
    {
        try{
            $token = $_REQUEST['access_token'];
            $this->configWriter->save('ipqualityscore/general/auth_token',  $token, $scope = \Magento\Framework\App\Config\ScopeConfigInterface::SCOPE_TYPE_DEFAULT, $scopeId = 0);
            echo "
            <script>
            window.opener.location.reload(true);
            window.parent.location.reload();
            </script>
            ";
            die();
        }catch(Exception $e){
            echo $e->getMessage();
        }
    }
}
