<?php
namespace IPQualityScore\IPQualityScore\Controller\Index;

class Device extends \Magento\Framework\App\Action\Action
{
	protected $_pageFactory;

	public function __construct(
		\Magento\Framework\App\Action\Context $context,
		\Magento\Framework\View\Result\PageFactory $pageFactory)
	{
		$this->_pageFactory = $pageFactory;
		return parent::__construct($context);
	}

	public function execute()
	{
                try{
                    $data = json_decode($_POST['data'] );
                    $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
                    $resource = $objectManager->get('Magento\Framework\App\ResourceConnection');
                    $connection = $resource->getConnection();
                    $orderId = $data->oid;
                    $unique = $data->unique?1:0;
                    $proxy = $data->proxy?1:0;
                    $vpn = $data->vpn?1:0;
                    $tor = $data->tor?1:0;
                    $recentAbuse = $data->recent_abuse?1:0;
                    $sql = "INSERT INTO ipqualityscore_devices () VALUES(?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
                    $query = $connection->prepare($sql);
                    $query->bindParam(1,$orderId);
                    $query->bindParam(2,$unique);
                    $query->bindParam(3,$data->fraud_chance);
                    $query->bindParam(4,$data->country);
                    $query->bindParam(5,$data->city);
                    $query->bindParam(6,$proxy);
                    $query->bindParam(7,$vpn);
                    $query->bindParam(8,$tor);
                    $query->bindParam(9,$data->guid);
                    $query->bindParam(10,$data->guid_confidence);
                    $query->bindParam(11,$recentAbuse);
                    $query->bindParam(12,$data->device_id);
                    $query->bindParam(13,$data->time);
                    $query->bindParam(14,$data->time);
                    $query->execute();
                }catch(\Exception $e){
                    print_r($e->getMessage());
                }
		die();
	}
}
